Imports GrapeCity.ActiveReports
Imports GrapeCity.ActiveReports.Document
Imports GrapeCity.ActiveReports.SectionReportModel

Public Class SectionReport1
    Public Sub New()
        InitializeComponent()
        Dim i As Integer = 0
        Dim dt As System.Data.DataTable = New DataService().GetOrderDetails()
        DataSource = dt

        For Each control As ARControl In detail.Controls

            If TypeOf control Is TextBox Then
                Dim textBox = TryCast(control, TextBox)

                If dt.Columns(textBox.DataField).DataType = GetType(SByte) OrElse dt.Columns(textBox.DataField).DataType = GetType(Byte) OrElse dt.Columns(textBox.DataField).DataType = GetType(Short) OrElse dt.Columns(textBox.DataField).DataType = GetType(UShort) OrElse dt.Columns(textBox.DataField).DataType = GetType(Integer) OrElse dt.Columns(textBox.DataField).DataType = GetType(UInteger) OrElse dt.Columns(textBox.DataField).DataType = GetType(Long) OrElse dt.Columns(textBox.DataField).DataType = GetType(ULong) OrElse dt.Columns(textBox.DataField).DataType = GetType(Single) OrElse dt.Columns(textBox.DataField).DataType = GetType(Double) OrElse dt.Columns(textBox.DataField).DataType = GetType(Decimal) Then
                    Dim summaryTxtBox As TextBox = New TextBox With {
                        .DataField = textBox.DataField,
                        .Height = 0.2F,
                        .Left = textBox.Left,
                        .Name = "summaryTextBox" & Math.Min(System.Threading.Interlocked.Increment(i), i - 1).ToString(),
                        .Style = textBox.Style,
                        .SummaryGroup = "groupHeader1",
                        .SummaryRunning = SummaryRunning.Group,
                        .SummaryType = SummaryType.SubTotal,
                        .Text = "textBox7",
                        .Top = 0.05F,
                        .Width = textBox.Width
                    }
                    groupFooter1.Controls.AddRange(New GrapeCity.ActiveReports.SectionReportModel.ARControl() {summaryTxtBox})
                End If
            End If
        Next
    End Sub
End Class
